Name:           pass
Version:        1.7.3
Release:        %mkrel 2
Summary:        A password manager using standard Unix tools
License:        GPLv2+
Group:          Security
URL:            https://www.passwordstore.org/
Source0:	https://git.zx2c4.com/password-store/snapshot/password-store-%{version}.tar.xz
Patch1:         editor.patch
BuildArch:      noarch
BuildRequires:  git
BuildRequires:  gnupg2
BuildRequires:  pwgen
BuildRequires:  tree >= 1.7.0
BuildRequires:  xz
BuildRequires:  bash-completion
BuildRequires:  zsh
BuildRequires:  sed
Requires:       xclip
Requires:       git
Requires:       gnupg2
Requires:       pwgen
Requires:       tree >= 1.7.0


%description
Stores, retrieves, generates, and synchronizes passwords securely using gpg,
pwgen, and git.


%prep
%setup -q -n password-store-%{version}
%autopatch -p1

rm -f contrib/emacs/.gitignore

%build
# nothing

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} \
     BINDIR=%{_bindir} SYSCONFDIR=%{_sysconfdir} \
     MANDIR=%{_mandir} FORCE_ALL=1 \
     install

%check
make test

%files
%doc README COPYING contrib
%{_bindir}/pass
%{_datadir}/bash-completion/completions/pass
%{_datadir}/zsh/site-functions/_pass
%doc %{_mandir}/man1/*



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.7.3-2.mga8
+ Revision: 1520234
- Mageia 8 Mass Rebuild

* Fri Nov 09 2018 daviddavid <daviddavid> 1.7.3-1.mga7
+ Revision: 1329118
- new version: 1.7.3

* Sun Sep 23 2018 umeabot <umeabot> 1.7.1-3.mga7
+ Revision: 1300116
- Mageia 7 Mass Rebuild

* Mon May 07 2018 wally <wally> 1.7.1-2.mga7
+ Revision: 1227506
- switch to gnupg2
- add patch from Clément Lassieur to fix tests with gnupg2 >= 2.2.5

* Sun Aug 06 2017 philippem <philippem> 1.7.1-1.mga7
+ Revision: 1137963
- update to 1.7.1

* Sat Feb 11 2017 philippem <philippem> 1.6.5-1.mga6
+ Revision: 1085735
- imported package pass

